Get widget configuration for the project
GET
/projects/{projectId}/widget/config
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Responses
200
Widget config
application/jsondata
object
project_id
string
enabled
boolean
position
string
Enum:
bottom-right, bottom-leftcolor
string
Hex color, e.g. #F26B3A
welcome_message
string
show_branding
boolean
theme
string
Enum:
light, dark, autolocale
string
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/widget/config' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/widget/config', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/widget/config', headers=headers)print(response.json())
200
Response
{ "data": { "project_id": "<string>", "enabled": true, "position": "bottom-right", "color": "<string>", "welcome_message": "<string>", "show_branding": true, "theme": "light", "locale": "<string>" }}
API Playground
Try this endpoint
GET
/projects/{projectId}/widget/config